import 'package:flutter/material.dart';

class Register extends StatefulWidget {
  const Register({Key? key}) : super(key: key);

  @override
  State<Register> createState() => _RegisterState();
}

class _RegisterState extends State<Register> {

  bool _isObscure = true;
  @override
  Widget build(BuildContext context) {
    var screenize = MediaQuery.of(context).size;
    return Scaffold(
      body: Container(
        height: screenize.height,
        width: screenize.width,
        decoration:  BoxDecoration(
          image: DecorationImage(
            image: AssetImage("assets/images/register.jpg"),
            fit: BoxFit.fill,
          )
        ),
        padding: EdgeInsets.only(
          left: screenize.width * 0.15,
          top: screenize.height * 0.13,
          bottom: screenize.height * 0.13
        ),
        child: Stack(
          children: [
            Container(
              decoration: BoxDecoration(
                color: Color.fromARGB(255, 10, 116, 255),
                borderRadius: BorderRadius.circular(20),
              ),
              width: screenize.width * 0.36,
              height: screenize.height * 0.9,
              child: Image.asset(
                  "assets/logo/logo-eksad.png",
              ),
            ),
            Padding(
                padding: EdgeInsets.only(
                  left: screenize.width * 0.33,
                  top: screenize.height * 0.07
                ),
              child: Container(
                width: screenize.width * 0.3,
                height: screenize.height * 0.6,
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.circular(20),
                  border: Border.all(
                    width: 5,
                    color: Color.fromARGB(255, 10, 116, 255),
                  ),
                  boxShadow: [
                    BoxShadow(
                      color: Color.fromARGB(255, 10, 116, 255).withAlpha(60),
                      blurRadius: 15.0,
                      spreadRadius: 20.0,
                      offset: Offset(
                        0.0,
                        3.0,
                      ),
                    ),],
                ),
                child: Form(
                  child: Container(
                    padding: EdgeInsets.only(
                      left: screenize.width * 0.045,
                      top: screenize.height * 0.05
                    ),
                    width: screenize.width * 0.36,
                    height: screenize.height * 0.9,
                    child: Column(
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: [
                        Container(
                          padding: EdgeInsets.only(
                            left: screenize.width * 0.055
                          ),
                          height: screenize.width * 0.02,
                          child: Image.asset("assets/logo/medapp-logo.png"),
                        ),
                        SizedBox(height: 20,),
                        Row(
                          children: [
                            Icon(
                              Icons.email_outlined,
                              color: Colors.grey[500],
                              size: screenize.width * 0.01,
                            ),
                            SizedBox(
                              width: 10,
                            ),
                            Text("Nama"),
                          ],
                        ),
                        SizedBox(height: 5,),
                        Row(
                          children: [
                            Container(
                              height: 40,
                              width: screenize.width * 0.2,
                              child: TextFormField(
                                textAlign: TextAlign.start,
                                decoration: InputDecoration(
                                  labelText: "Nama Lengkap",
                                  hintStyle: TextStyle(),
                                  border: OutlineInputBorder(
                                    borderRadius: BorderRadius.circular(5.0),
                                  )
                                ),
                                onChanged: null,
                              ),
                            )
                          ],
                        ),

                        SizedBox(height: 10,),
                        Row(
                          children: [
                            Icon(
                              Icons.email_outlined,
                              color: Colors.grey[500],
                              size: screenize.width * 0.01,
                            ),
                            SizedBox(
                              width: 10,
                            ),
                            Text("Email"),
                          ],
                        ),
                        SizedBox(height: 5,),
                        Row(
                          children: [
                            Container(
                              height: 40,
                              width: screenize.width * 0.2,
                              child: TextFormField(
                                textAlign: TextAlign.start,
                                decoration: InputDecoration(
                                    labelText: "Email Valid",
                                    hintStyle: TextStyle(),
                                    border: OutlineInputBorder(
                                      borderRadius: BorderRadius.circular(5.0),
                                    )
                                ),
                                onChanged: null,
                              ),
                            )
                          ],
                        ),

                        SizedBox(height: 10,),
                        Row(
                          children: [
                            Icon(
                              Icons.email_outlined,
                              color: Colors.grey[500],
                              size: screenize.width * 0.01,
                            ),
                            SizedBox(
                              width: 10,
                            ),
                            Text("No Hp"),
                          ],
                        ),
                        SizedBox(height: 5,),
                        Row(
                          children: [
                            Container(
                              height: 40,
                              width: screenize.width * 0.2,
                              child: TextFormField(
                                textAlign: TextAlign.start,
                                decoration: InputDecoration(
                                    labelText: "Nomor Handphone",
                                    hintStyle: TextStyle(),
                                    border: OutlineInputBorder(
                                      borderRadius: BorderRadius.circular(5.0),
                                    )
                                ),
                                onChanged: null,
                              ),
                            )
                          ],
                        ),

                        SizedBox(height: 10,),
                        Row(
                          children: [
                            Icon(
                              Icons.email_outlined,
                              color: Colors.grey[500],
                              size: screenize.width * 0.01,
                            ),
                            SizedBox(
                              width: 10,
                            ),
                            Text("Username"),
                          ],
                        ),
                        SizedBox(height: 5,),
                        Container(
                          height: 40,
                          width: screenize.width * 0.2,
                          child: TextFormField(
                            textAlign: TextAlign.start,
                            obscureText: _isObscure,
                            decoration: InputDecoration(
                              labelText: "Password",
                              suffixIcon: IconButton(
                                icon: Icon(_isObscure
                                    ? Icons.visibility
                                    : Icons.visibility_off
                                ),
                                onPressed: (){
                                  setState(() {
                                    _isObscure = !_isObscure;
                                  });
                                },
                              ),
                              hintStyle: TextStyle(),
                              border: OutlineInputBorder(
                                borderRadius: BorderRadius.circular(5.0)
                              ),
                            ),
                          ),
                        ),
                        Spacer(
                          flex: 4,
                        ),
                        Row(
                          children: [

                            Container(
                              height: 30,
                              width: screenize.width * 0.09,
                              child: ElevatedButton(
                                onPressed: (){
                                },
                                child: Text("LOGIN"),
                              ),
                            ),
                            SizedBox(
                              width: screenize.width * 0.02,
                            ),
                            Container(
                              height: 30,
                              width: screenize.width * 0.09,
                              child: ElevatedButton(
                                onPressed: (){
                                },
                                child: Text("REGISTER"),
                              ),
                            )
                          ],
                        ),
                        Spacer(
                          flex: 7,
                        )
                      ],
                    ),
                  ),
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
